# Create 'CustomErrandFieldInclusion'

Endpoint: POST /errands/customfields/customerrandfieldinclusion/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `field_type` (object, required)

  - `field_type.id` (string)

  - `order` (integer, required)

  - `general_errand_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `inspection_errand_checklist`, `rounding_check_list_row`, `sub_errand_type`
This field, or at least one of the following fields must be set: `inspection_errand_checklist`, `rounding_check_list_row`, `sub_errand_type`

  - `general_errand_type.id` (string)

  - `inspection_errand_checklist` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `rounding_check_list_row`, `sub_errand_type`
This field, or at least one of the following fields must be set: `general_errand_type`, `rounding_check_list_row`, `sub_errand_type`

  - `inspection_errand_checklist.id` (string)

  - `sub_errand_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `inspection_errand_checklist`, `rounding_check_list_row`
This field, or at least one of the following fields must be set: `general_errand_type`, `inspection_errand_checklist`, `rounding_check_list_row`

  - `sub_errand_type.id` (string)

  - `rounding_check_list_row` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `inspection_errand_checklist`, `sub_errand_type`
This field, or at least one of the following fields must be set: `general_errand_type`, `inspection_errand_checklist`, `sub_errand_type`

  - `rounding_check_list_row.id` (string)

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `field_type` (object, required)

  - `field_type.id` (string)

  - `order` (integer, required)

  - `general_errand_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `inspection_errand_checklist`, `rounding_check_list_row`, `sub_errand_type`
This field, or at least one of the following fields must be set: `inspection_errand_checklist`, `rounding_check_list_row`, `sub_errand_type`

  - `general_errand_type.id` (string)

  - `inspection_errand_checklist` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `rounding_check_list_row`, `sub_errand_type`
This field, or at least one of the following fields must be set: `general_errand_type`, `rounding_check_list_row`, `sub_errand_type`

  - `inspection_errand_checklist.id` (string)

  - `sub_errand_type` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `inspection_errand_checklist`, `rounding_check_list_row`
This field, or at least one of the following fields must be set: `general_errand_type`, `inspection_errand_checklist`, `rounding_check_list_row`

  - `sub_errand_type.id` (string)

  - `rounding_check_list_row` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `general_errand_type`, `inspection_errand_checklist`, `sub_errand_type`
This field, or at least one of the following fields must be set: `general_errand_type`, `inspection_errand_checklist`, `sub_errand_type`

  - `rounding_check_list_row.id` (string)

